Bug 157211 - Firefox work differently when opening files of the same type locally and from url
Firefox work differently when opening files of the same type locally and from...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-09 10:20 EDT by Jiri Ryska
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 19:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Ryska 2005-05-09 10:20:50 EDT
Description of problem:
When opening a local .log text file from disk, firefox open a dialog to ask what
to do with this file. But with the same type when opening it from web it
normally show it in tab without asking what to do.
Other bug I found with this. When asked what to do with this file, select open
it with firefox (/usr/bin/firefox) and check "Do this automatically for files
like this from now on". See that firefox is doing something in infinite loop.

Version-Release number of selected component (if applicable):
firefox-1.0.2-3

How reproducible:
always

Steps to Reproduce:
1. open some *.log file from web
2. it opens normally
3. have some *.log file on disk (echo aaa >aaa.log)
4. try to open it with firefox (file->open file or CTRL+O)
5. see the dialog
Second one when in point 5:
6. select open with and select /usr/bin/firefox
7. check "Do this automatically for files like this from now on"
8. click ok

Actual results:
Firefox ask what to do with *.log file from disk but not from web.
When doing 6-8 there is some infinite loop.

Expected results:
Firefox ask or not ask when opening files of the same type locally and from web.
There is no infinite loop.

Additional info:
For 1.0.1 (?) on fc-3 it open *.log normally.
Comment 1 Christian Iseli 2007-01-22 06:56:57 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Matthew Miller 2007-04-06 11:21:49 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.

Note You need to log in before you can comment on or make changes to this bug.